Changeset 147746 for trunk


Ignore:
Timestamp:
Apr 14, 2016, 12:08:22 PM (4 years ago)
Author:
devans@…
Message:

libgdata: update autogen.sh from upstream git master, add goa-1.0 to vapi dependencies if goa support is enabled, increment revision (#51144).

Location:
trunk/dports/gnome/libgdata
Files:
1 added
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/gnome/libgdata/Portfile

    r143485 r147746  
    77name                libgdata
    88version             0.17.4
     9revision            1
    910set branch          [join [lrange [split ${version} .] 0 1] .]
    1011description         libgdata is a GLib-based library for accessing online service APIs using the \
     
    4546gobject_introspection yes
    4647
    47 patchfiles          patch-m4-ax_compiler_flags_ldflags.m4.diff
     48patchfiles          patch-m4-ax_compiler_flags_ldflags.m4.diff \
     49                    patch-Makefile.am.diff
    4850
    4951# reconfigure using upstream autogen.sh for intltool 0.51 compatibility
  • trunk/dports/gnome/libgdata/files/autogen.sh

    r134427 r147746  
    11#!/bin/sh
    22# Run this to generate all the initial makefiles, etc.
     3test -n "$srcdir" || srcdir=$(dirname "$0")
     4test -n "$srcdir" || srcdir=.
    35
    4 srcdir=`dirname $0`
    5 test -z "$srcdir" && srcdir=.
     6olddir=$(pwd)
    67
    7 PKG_NAME=libgdata
     8cd $srcdir
    89
    9 (test -f $srcdir/configure.ac) || {
    10         echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level $PKG_NAME directory"
     10(test -f configure.ac) || {
     11        echo "*** ERROR: Directory '$srcdir' does not look like the top-level project directory ***"
    1112        exit 1
    1213}
    1314
     15# shellcheck disable=SC2016
     16PKG_NAME=$(autoconf --trace 'AC_INIT:$1' configure.ac)
     17
    1418if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
    15         echo "**Warning**: I am going to run \`configure' with no arguments." >&2
    16         echo "If you wish to pass any to it, please specify them on the" >&2
    17         echo \`$0\'" command line." >&2
     19        echo "*** WARNING: I am going to run 'configure' with no arguments." >&2
     20        echo "*** If you wish to pass any to it, please specify them on the" >&2
     21        echo "*** '$0' command line." >&2
    1822        echo "" >&2
    1923fi
    2024
    21 # if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
    22 # This is a automake bug fixed in automake 1.13.2
    23 # See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
    24 if [ -n "m4" ]; then
    25         mkdir -p m4
    26 fi
    27 
    28 set -x
    29 
     25aclocal --install || exit 1
    3026gtkdocize --copy || exit 1
    3127intltoolize --force --copy --automake || exit 1
    32 autoreconf --verbose --force --install -Wno-portability || exit 1
     28autoreconf --verbose --force --install || exit 1
    3329
    34 if test x$NOCONFIGURE = x; then
    35         $srcdir/configure "$@" && \
    36         echo "Now type \`make\' to compile $PKG_NAME" || exit 1
     30cd "$olddir"
     31if [ "$NOCONFIGURE" = "" ]; then
     32        $srcdir/configure "$@" || exit 1
     33
     34        if [ "$1" = "--help" ]; then exit 0 else
     35                echo "Now type 'make' to compile $PKG_NAME" || exit 1
     36        fi
    3737else
    3838        echo "Skipping configure process."
    3939fi
    40 
    41 set +x
Note: See TracChangeset for help on using the changeset viewer.